#!/usr/bin/perl

my $appLocal = "./app"; #the folder content all of applications for training.
my $tmpdirTwo = "./result"; #where you save the extracted subsequences.
my @appArray = glob "$appLocal/*";
my $counter;
my $counter2;
my $firstLCS = "./LevelLcsStr_First.pl";

for($counter = 0; $counter < @appArray; $counter++){
	print("$appArray[$counter] Start\n");
	for($counter2 = 0; $counter2 < $counter; $counter2++){
		system("$firstLCS $appArray[$counter2] $appArray[$counter] $tmpdirTwo");
	}
}
